Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Namespaces | Functions
compressed_tuple.hpp File Reference

## Classes
struct | ranges::v3::compressed_tuple< Ts >
struct | ranges::v3::make_compressed_tuple_fn

## Namespaces
| ranges::v3
| Protect a callable so that it can be safely used in a bind expression without accidentally becoming a "nested" bind.

## Functions
template<std::size_t I, typename... Ts>
auto | ranges::v3::get (compressed_tuple< Ts... > &tup) -> decltype(ranges::get< I >(detail::compressed_tuple_core_access::get_data(tup)))
template<std::size_t I, typename... Ts>
constexpr auto | ranges::v3::get (compressed_tuple< Ts... > const &tup) -> decltype(ranges::get< I >(detail::compressed_tuple_core_access::get_data(tup)))
template<std::size_t I, typename... Ts>
constexpr auto | ranges::v3::get (compressed_tuple< Ts... > &&tup) -> decltype(ranges::get< I >(detail::compressed_tuple_core_access::get_data(detail::move(tup))))